Loading...
Searching...
No Matches
Built-in back-ends
Filesystem interaction subsystem

Constants defining the currently supported built-in filesystem backends. More...

## Macros

#define | SVN_FS_TYPE_BDB "bdb"
#define | SVN_FS_TYPE_FSFS "fsfs"
#define | SVN_FS_TYPE_FSX "fsx"
| EXPERIMENTAL filesystem backend.

## Detailed Description

Constants defining the currently supported built-in filesystem backends.

See also
  svn_fs_type

## Macro Definition Documentation

## SVN_FS_TYPE_BDB

#define SVN_FS_TYPE_BDB "bdb"

Since
  New in 1.1.

Definition at line 76 of file svn_fs.h.

## SVN_FS_TYPE_FSFS

#define SVN_FS_TYPE_FSFS "fsfs"

Since
  New in 1.1.

Definition at line 78 of file svn_fs.h.

## SVN_FS_TYPE_FSX

#define SVN_FS_TYPE_FSX "fsx"

EXPERIMENTAL filesystem backend.

It is not ready for general production use. Please consult the respective release notes on suggested usage scenarios.

Since
  New in 1.9.

Definition at line 88 of file svn_fs.h.